Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jnp.interfaces
Class MarshalledValuePair

    java.lang.Object
      org.jnp.interfaces.MarshalledValuePair

All Implemented Interfaces:
  Serializable

public class MarshalledValuePair
extends Object
implements Serializable

An encapsulation of a JNDI binding as both the raw object and its MarshalledObject form. When accessed in the same VM as the JNP server, the raw object reference is used to avoid deserialization.

Version:
  $Revision: 1.4.2.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`MarshalledObject` | `marshalledValue`
`Object` | `value`

Constructor Summary
`MarshalledValuePair(Object value)` Creates a new instance of MashalledValuePair

Method Summary
`Object` | `get()`
`static boolean` | `getEnableCallByReference()` Get the lookp call by reference flag.
`static void` | `setEnableCallByReference(boolean flag)` Set the lookp call by reference flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### marshalledValue

    public MarshalledObject marshalledValue

### value

    public transient Object value

Constructor Detail

### MarshalledValuePair

    public MarshalledValuePair(Object value)
                        throws IOException

  Creates a new instance of MashalledValuePair

Method Detail

### getEnableCallByReference

    public static boolean getEnableCallByReference()

  Get the lookp call by reference flag.

  Returns:
    false if all lookups are unmarshalled using the caller's TCL, true if in VM lookups return the value by reference.

### setEnableCallByReference

    public static void setEnableCallByReference(boolean flag)

  Set the lookp call by reference flag.

  Parameters:
    `flag` - - false if all lookups are unmarshalled using the caller's TCL, true if in VM lookups return the value by reference.

### get

    public Object get()
               throws ClassNotFoundException,
                      IOException

  Throws:
    `ClassNotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.